package com.leanwo.activiti.delegate.base;

import javax.inject.Inject;
import javax.inject.Named;

import com.leanwo.activiti.dto.BaseObjectResponse;
import com.leanwo.activiti.service.base.impl.ProdogServer;

@Named
public class AssetServerService {

	@Inject
	private ProdogServer prodogServer;
	
	public BaseObjectResponse<String> generateReport(Long recordId){
		BaseObjectResponse<String> baseObjectResponse = prodogServer.generateReport(recordId);
		return baseObjectResponse;
	}
}
